<?php
//error_reporting(0);
// memanggil file koneksi.php
include "koneksi.php";
// membuat variable dengan nilai dari form
$username = $_POST['username']; // variablenya = username, dan nilainya sesuai yang dimasukkan di input name=”username” tadi
$password = $_POST['password']; // variable password, dan nilainya sesuai yang dimasukkan di input name=”password” tadi
// md5 ada sebuah fungsi PHP untuk engkripsi. misalnya admin jadi 21232f297a57a5a743894a0e4a801fc3. untuk lengkapnya, silahkan googling tentang md5

// proses untuk login

// menyesuaikan dengan data di database
$perintah = "select * from admin WHERE username = '$username' AND password = '$password' AND status_admin = 'Aktif'";
$hasil = mysql_query($perintah);
$row = mysql_fetch_array($hasil);
if ($row['username'] == $username AND $row['password'] == $password) {
session_start(); // memulai fungsi session
$level=$row['level'];

$_SESSION['username'] = $username;
$_SESSION['level'] = $level;
header("location:admin.php"); // jika berhasil login, maka masuk ke file home.php
}
else {
echo "Gagal Masuk"; // jika gagal, maka muncul teks gagal masuk
header("location:index.php");
}
?>